> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 평가 생성

> 평가 객체를 생성합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/evaluations
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/evaluations:
    post:
      tags:
        - Evaluations
      summary: 평가 생성
      description: 평가 객체를 생성합니다.
      operationId: evaluation_create_v2__entity___project__evaluations_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluationCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationCreateRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    EvaluationCreateBody:
      properties:
        dataset:
          description: 데이터셋 레퍼런스(weave:// URI)
          title: Dataset
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: 이 평가에 대한 설명
          title: Description
        eval_attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: 평가에 대한 선택적 속성
          title: Eval Attributes
        evaluation_name:
          anyOf:
            - type: string
            - type: 'null'
          description: 평가 run 이름
          title: Evaluation Name
        name:
          description: 이 평가의 이름입니다. 같은 이름의 평가는 함께 버전 관리됩니다.
          title: Name
          type: string
        scorers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: scorer 레퍼런스 목록(weave:// URI)
          title: Scorers
        trials:
          default: 1
          description: 실행할 trial 수
          title: Trials
          type: integer
      required:
        - name
        - dataset
      title: EvaluationCreateBody
      type: object
    EvaluationCreateRes:
      properties:
        digest:
          description: 생성된 평가의 다이제스트
          title: Digest
          type: string
        evaluation_ref:
          description: 생성된 evaluation의 전체 레퍼런스
          title: Evaluation Ref
          type: string
        object_id:
          description: 생성된 평가의 ID
          title: Object Id
          type: string
        version_index:
          description: 생성된 evaluation의 버전 인덱스
          title: Version Index
          type: integer
      required:
        - digest
        - object_id
        - version_index
        - evaluation_ref
      title: EvaluationCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````